This document lists the events and parameters for
various types of
Access Transparency activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=access_transparency`.

## Google Workspace Resource Event


Events of this type are returned with `type=GSUITE_RESOURCE`.

### ACCESS

A Google Workspace resource was accessed by Google.
Event details Event name `ACCESS` Parameters `ACCESS_APPROVAL_ALERT_CENTER_IDS` `string`


Parameter for the Access Approval Alert Center IDs.
`ACCESS_APPROVAL_REQUEST_IDS` `string`


Parameter for the Access Approval ticket IDs.
`ACCESS_APPROVALS_SCOPING` `string`


How the Access Approvals Policy was scoped to an event.
Possible values:

- `ADVANCED_SCOPING`  
  Assured Controls Advanced Scoping name.
- `USER_SCOPING`  
  Assured Controls User Scoping name.
`ACCESS_MANAGEMENT_POLICY` `string`


Parameter for the Access Management Policy.
`ACCESS_MANAGEMENT_POLICY_SCOPING` `string`


The scoping type of the applied Access Management policy.
`ACCESS_MANAGEMENT_RULE_URLS` `string`


Parameter for the triggered Assured Control Rule URLs.
`ACCESS_MANAGEMENT_SCOPING` `string`


How the Access Management Policy was scoped to an event.
Possible values:

- `ADVANCED_SCOPING`  
  Assured Controls Advanced Scoping name.
- `USER_SCOPING`  
  Assured Controls User Scoping name.
`ACTOR_HOME_OFFICE` `string`


The home office of the actor who performed the data access. Possible values:

- ISO 3166-1 alpha-2 country code in which the actor has a permanent desk.
- "??" if location is not available.
- 3-character continent identifier where actor is in a low-population country (ASI, EUR, OCE, AFR, NAM, SAM, ANT).

Actor refers to a Google employee.

<br />

`GSUITE_PRODUCT_NAME` `string`


Google Workspace product name.
Possible values:

- `CALENDAR`  
  Google Calendar.
- `DRIVE`  
  Google Drive.
- `GEMINI_APP`  
  Gemini.
- `GMAIL`  
  Google Gmail.
- `KEEP_APP`  
  Google Keep.
- `SEARCH_AND_INTELLIGENCE`  
  Search and Intelligence.
- `SHEETS`  
  Google Sheets.
- `SLIDES`  
  Google Slides.
- `WORKSPACE_WORKFLOWS`  
  Workspace Flows.
`JUSTIFICATIONS` `string`


Access justifications, such as "Customer Initiated Support - Case Number: 12345678".
`LOG_ID` `string`


Unique log ID.
`ON_BEHALF_OF` `string`


Parameter for the resource sharee email(s).
`OWNER_EMAIL` `string`


The email ID or team identifier of the customer who owns the resource.
`RESOURCE_NAME` `string`


[Name](https://cloud.google.com/apis/design/resource_names) of the resource that was accessed.
`TICKETS` `string`


Parameter for tickets.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/access_transparency?eventName=ACCESS&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Access to {RESOURCE_NAME} has been logged. Please have your Google Workspace Super Admin visit the Access Transparency report in the Admin Dashboard to view more details about this log`